Subject: Re: [PATCH RFC 2/2] Move libgit.a sources into separate "lib/" directory

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 20 Apr 2026 08:41:03 +0200

On Fri, Apr 17, 2026 at 09:51:27PM +0000, brian m. carlson wrote:
> On 2026-04-17 at 21:18:37, Junio C Hamano wrote:
> > I do not mind a move to thin the set of regular files out of the
> > top-level directory.  I have forever been annoyed by my buil<TAB>
> > no longer complete to builtin (anticipating either .h or /) and
> > it would be nice if build.rs is renamed away, or builtin{.h,/}
> > are moved away, to restore the convenience of tab completion back.
> 
> The `build.rs` file needs to go at the same level as the Rust `src`
> directory so `cargo` can invoke it properly.  I think Patrick had wanted
> to put the Rust code in a directory called `rust`, which would move that
> out of the root of the repository and fix that.  As long as it continues
> to build gracefully on a variety of platforms, I think that would be
> okay.

I don't think I was the one proposing the `rust` directory, but I
wouldn't mind that direction, either.

Patrick